co.aikar.commands

## Class SpongeRootCommand

- java.lang.Object
- - co.aikar.commands.SpongeRootCommand

All Implemented Interfaces:
  co.aikar.commands.RootCommand, org.spongepowered.api.command.CommandCallable

    public class SpongeRootCommand
    extends Object
    implements org.spongepowered.api.command.CommandCallable, co.aikar.commands.RootCommand

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChild(co.aikar.commands.BaseCommand command)`
`List<co.aikar.commands.BaseCommand>` `getChildren()`
`String` `getCommandName()`
`co.aikar.commands.BaseCommand` `getDefCommand()`
`Optional<org.spongepowered.api.text.Text>` `getHelp(@NotNull org.spongepowered.api.command.CommandSource source)`
`co.aikar.commands.CommandManager` `getManager()`
`Optional<org.spongepowered.api.text.Text>` `getShortDescription(@NotNull org.spongepowered.api.command.CommandSource source)`
`com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand>` `getSubCommands()`
`List<String>` `getSuggestions(@NotNull org.spongepowered.api.command.CommandSource source, @NotNull String arguments, org.spongepowered.api.world.Location<org.spongepowered.api.world.World> location)`
`org.spongepowered.api.text.Text` `getUsage(@NotNull org.spongepowered.api.command.CommandSource source)`
`org.spongepowered.api.command.CommandResult` `process(@NotNull org.spongepowered.api.command.CommandSource source, @NotNull String arguments)`
`boolean` `testPermission(@NotNull org.spongepowered.api.command.CommandSource source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.RootCommand

`addChildShared, execute, getBaseCommand, getDefaultRegisteredCommand, getDescription, getTabCompletions, getTabCompletions, getTabCompletions, getUniquePermission, getUsage, hasAnyPermission`

### Method Detail

#### getCommandName

    public String getCommandName()

Specified by:
  `getCommandName` in interface `co.aikar.commands.RootCommand`

#### process

    public org.spongepowered.api.command.CommandResult process(@NotNull
                                                               @NotNull org.spongepowered.api.command.CommandSource source,
                                                               @NotNull
                                                               @NotNull String arguments)
                                                        throws org.spongepowered.api.command.CommandException

Specified by:
  `process` in interface `org.spongepowered.api.command.CommandCallable`
Throws:
  `org.spongepowered.api.command.CommandException`

#### getSuggestions

    public List<String> getSuggestions(@NotNull
                                       @NotNull org.spongepowered.api.command.CommandSource source,
                                       @NotNull
                                       @NotNull String arguments,
                                       @Nullable
                                       org.spongepowered.api.world.Location<org.spongepowered.api.world.World> location)
                                throws org.spongepowered.api.command.CommandException

Specified by:
  `getSuggestions` in interface `org.spongepowered.api.command.CommandCallable`
Throws:
  `org.spongepowered.api.command.CommandException`

#### testPermission

    public boolean testPermission(@NotNull
                                  @NotNull org.spongepowered.api.command.CommandSource source)

Specified by:
  `testPermission` in interface `org.spongepowered.api.command.CommandCallable`

#### getShortDescription

    public Optional<org.spongepowered.api.text.Text> getShortDescription(@NotNull
                                                                         @NotNull org.spongepowered.api.command.CommandSource source)

Specified by:
  `getShortDescription` in interface `org.spongepowered.api.command.CommandCallable`

#### getHelp

    public Optional<org.spongepowered.api.text.Text> getHelp(@NotNull
                                                             @NotNull org.spongepowered.api.command.CommandSource source)

Specified by:
  `getHelp` in interface `org.spongepowered.api.command.CommandCallable`

#### getUsage

    public org.spongepowered.api.text.Text getUsage(@NotNull
                                                    @NotNull org.spongepowered.api.command.CommandSource source)

Specified by:
  `getUsage` in interface `org.spongepowered.api.command.CommandCallable`

#### addChild

    public void addChild(co.aikar.commands.BaseCommand command)

Specified by:
  `addChild` in interface `co.aikar.commands.RootCommand`

#### getDefCommand

    public co.aikar.commands.BaseCommand getDefCommand()

Specified by:
  `getDefCommand` in interface `co.aikar.commands.RootCommand`

#### getManager

    public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.RootCommand`

#### getSubCommands

    public com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand> getSubCommands()

Specified by:
  `getSubCommands` in interface `co.aikar.commands.RootCommand`

#### getChildren

    public List<co.aikar.commands.BaseCommand> getChildren()

Specified by:
  `getChildren` in interface `co.aikar.commands.RootCommand`